using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Coin_Toss
{
    class Coin
    {
        // Pole przedstawiające tę stronę monety, która wypadła po rzucie.
        private string sideUp;
        Random rand = new Random();

        // Konstruktor.
        public Coin()
        {
            sideUp = "orzeł";
        }

        // Metoda Toss() symuluje rzut monetą.
        public void Toss()
        {
            // Utworzenie obiektu typu Random.
            //Random rand = new Random();

            // Użycie liczby losowej do ustalenia
            // strony monety, która wypadła po rzucie.
            // 0 = orzeł, 1 = reszka.
            if (rand.Next(2) == 0)
            {
                sideUp = "orzeł";
            }
            else
            {
                sideUp = "reszka";
            }
        }

        // Metoda GetSideUp() zwraca wartość
        // pola sideUp.
        public string GetSideUp()
        {
            return sideUp;
        }
    }
}
